from Webserver import startWebserver
from ZoneManager import ZoneManager
from SystemSettings import SystemSettings
from FileIO import FileIO


if __name__ == "__main__":
    systemSettings = SystemSettings(dataDir="/Data", multiZoneIrrigation=True)
    fileIO = FileIO(systemSettings)
    zoneManager = ZoneManager(systemSettings=systemSettings, fileIO=fileIO)
    startWebserver(port=80, zoneManager=zoneManager)
    print("webserver started")